Skip to main content
GET
/
v4
/
evaluations
/
{evaluation_id}
/
test-case-results
/
{test_case_result_id}
/
history
Get All Versions of Test Case Result
curl --request GET \
  --url https://api.egp.scale.com/v4/evaluations/{evaluation_id}/test-case-results/{test_case_result_id}/history
import requests

url = "https://api.egp.scale.com/v4/evaluations/{evaluation_id}/test-case-results/{test_case_result_id}/history"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.egp.scale.com/v4/evaluations/{evaluation_id}/test-case-results/{test_case_result_id}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "application_spec_id": "<string>",
    "evaluation_id": "<string>",
    "evaluation_dataset_id": "<string>",
    "evaluation_dataset_version_num": "<string>",
    "test_case_id": "<string>",
    "test_case_evaluation_data": {
      "generation_output": "<string>",
      "generation_extra_info": {
        "chunks": [
          {
            "text": "<string>",
            "metadata": {}
          }
        ],
        "schema_type": "CHUNKS"
      }
    },
    "id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "account_id": "<string>",
    "created_by_user_id": "<string>",
    "audit_required": true,
    "audit_comment": "<string>",
    "test_case_evaluation_data_schema": "GENERATION",
    "result": {},
    "completed_at": "2023-11-07T05:31:56Z",
    "time_spent_labeling_s": 123,
    "application_test_case_output_id": "<string>",
    "invalidated_at": "2023-11-07T05:31:56Z",
    "annotated_by_user_id": "<string>",
    "edited_by_user_id": "<string>",
    "archived_at": "2023-11-07T05:31:56Z",
    "edited_by": {
      "id": "<string>",
      "email": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "preferences": {}
    }
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Path Parameters

evaluation_id
string
required
test_case_result_id
string
required

Response

Successful Response

label_status
enum<string>
required

The status of the test case result. This should not be explictly set when creating a test case result. When patching a test case result, this field can be set to 'PENDING' to prevent the test case result from being marked 'COMPLETED'.

Available options:
PENDING,
COMPLETED,
FAILED
application_spec_id
string
required
evaluation_id
string
required
evaluation_dataset_id
string
required
evaluation_dataset_version_num
string
required
test_case_id
string
required
test_case_evaluation_data
ResultSchemaGeneration · object
required
id
string
required

The unique identifier of the entity.

created_at
string<date-time>
required

The date and time when the entity was created in ISO format.

updated_at
string<date-time>
required

The date and time when the entity was last updated in ISO format.

account_id
string
required

The ID of the account that owns the given entity.

created_by_user_id
string
required

The user who originally created the entity.

created_by_identity_type
enum<string>
required

The type of identity that created the entity.

Available options:
user,
service_account
audit_status
enum<string>
Available options:
UNAUDITED,
FIXED,
APPROVED
audit_required
boolean
audit_comment
string
test_case_evaluation_data_schema
string
default:GENERATION
Allowed value: "GENERATION"
result
Result · object

The result of the test case evaluation, in JSON form where the key is the question ID and the value is the result.

completed_at
string<date-time>
time_spent_labeling_s
integer

The time spent labeling in seconds.

application_test_case_output_id
string
invalidated_at
string<date-time>

The date and time when the entity was overwritten or deleted in ISO format.

annotated_by_user_id
string

The user who annotated the task.

annotated_by_identity_type
enum<string>

The type of identity that annotated the entity.

Available options:
user,
service_account
edited_by_user_id
string

The user who edited the task.

edited_by_identity_type
enum<string>

The type of identity that edited the entity.

Available options:
user,
service_account
archived_at
string<date-time>

The date and time when the entity was archived in ISO format.

edited_by
UserV2Details · object